Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network235.3.236.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
235.3.236.0
Broadcast address
235.3.239.255
First usable
235.3.236.1
Last usable
235.3.239.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EB03EC00 · Integer 3942902784 to 3942903807
Reverse DNS zones
236.3.235.in-addr.arpa
237.3.235.in-addr.arpa
238.3.235.in-addr.arpa
239.3.235.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101011.00000011.11101100.00000000235.3.236.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11101011.00000011.11101100.00000000235.3.236.0
Broadcast11101011.00000011.11101111.11111111235.3.239.255
Split into smaller subnets/30

235.3.236.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1235.3.236.0/30235.3.236.1 to 235.3.236.2235.3.236.32
2235.3.236.4/30235.3.236.5 to 235.3.236.6235.3.236.72
3235.3.236.8/30235.3.236.9 to 235.3.236.10235.3.236.112
4235.3.236.12/30235.3.236.13 to 235.3.236.14235.3.236.152
5235.3.236.16/30235.3.236.17 to 235.3.236.18235.3.236.192
6235.3.236.20/30235.3.236.21 to 235.3.236.22235.3.236.232
7235.3.236.24/30235.3.236.25 to 235.3.236.26235.3.236.272
8235.3.236.28/30235.3.236.29 to 235.3.236.30235.3.236.312
9235.3.236.32/30235.3.236.33 to 235.3.236.34235.3.236.352
10235.3.236.36/30235.3.236.37 to 235.3.236.38235.3.236.392
11235.3.236.40/30235.3.236.41 to 235.3.236.42235.3.236.432
12235.3.236.44/30235.3.236.45 to 235.3.236.46235.3.236.472
13235.3.236.48/30235.3.236.49 to 235.3.236.50235.3.236.512
14235.3.236.52/30235.3.236.53 to 235.3.236.54235.3.236.552
15235.3.236.56/30235.3.236.57 to 235.3.236.58235.3.236.592
16235.3.236.60/30235.3.236.61 to 235.3.236.62235.3.236.632
17235.3.236.64/30235.3.236.65 to 235.3.236.66235.3.236.672
18235.3.236.68/30235.3.236.69 to 235.3.236.70235.3.236.712
19235.3.236.72/30235.3.236.73 to 235.3.236.74235.3.236.752
20235.3.236.76/30235.3.236.77 to 235.3.236.78235.3.236.792
21235.3.236.80/30235.3.236.81 to 235.3.236.82235.3.236.832
22235.3.236.84/30235.3.236.85 to 235.3.236.86235.3.236.872
23235.3.236.88/30235.3.236.89 to 235.3.236.90235.3.236.912
24235.3.236.92/30235.3.236.93 to 235.3.236.94235.3.236.952
25235.3.236.96/30235.3.236.97 to 235.3.236.98235.3.236.992
26235.3.236.100/30235.3.236.101 to 235.3.236.102235.3.236.1032
27235.3.236.104/30235.3.236.105 to 235.3.236.106235.3.236.1072
28235.3.236.108/30235.3.236.109 to 235.3.236.110235.3.236.1112
29235.3.236.112/30235.3.236.113 to 235.3.236.114235.3.236.1152
30235.3.236.116/30235.3.236.117 to 235.3.236.118235.3.236.1192
31235.3.236.120/30235.3.236.121 to 235.3.236.122235.3.236.1232
32235.3.236.124/30235.3.236.125 to 235.3.236.126235.3.236.1272
33235.3.236.128/30235.3.236.129 to 235.3.236.130235.3.236.1312
34235.3.236.132/30235.3.236.133 to 235.3.236.134235.3.236.1352
35235.3.236.136/30235.3.236.137 to 235.3.236.138235.3.236.1392
36235.3.236.140/30235.3.236.141 to 235.3.236.142235.3.236.1432
37235.3.236.144/30235.3.236.145 to 235.3.236.146235.3.236.1472
38235.3.236.148/30235.3.236.149 to 235.3.236.150235.3.236.1512
39235.3.236.152/30235.3.236.153 to 235.3.236.154235.3.236.1552
40235.3.236.156/30235.3.236.157 to 235.3.236.158235.3.236.1592
41235.3.236.160/30235.3.236.161 to 235.3.236.162235.3.236.1632
42235.3.236.164/30235.3.236.165 to 235.3.236.166235.3.236.1672
43235.3.236.168/30235.3.236.169 to 235.3.236.170235.3.236.1712
44235.3.236.172/30235.3.236.173 to 235.3.236.174235.3.236.1752
45235.3.236.176/30235.3.236.177 to 235.3.236.178235.3.236.1792
46235.3.236.180/30235.3.236.181 to 235.3.236.182235.3.236.1832
47235.3.236.184/30235.3.236.185 to 235.3.236.186235.3.236.1872
48235.3.236.188/30235.3.236.189 to 235.3.236.190235.3.236.1912
49235.3.236.192/30235.3.236.193 to 235.3.236.194235.3.236.1952
50235.3.236.196/30235.3.236.197 to 235.3.236.198235.3.236.1992
51235.3.236.200/30235.3.236.201 to 235.3.236.202235.3.236.2032
52235.3.236.204/30235.3.236.205 to 235.3.236.206235.3.236.2072
53235.3.236.208/30235.3.236.209 to 235.3.236.210235.3.236.2112
54235.3.236.212/30235.3.236.213 to 235.3.236.214235.3.236.2152
55235.3.236.216/30235.3.236.217 to 235.3.236.218235.3.236.2192
56235.3.236.220/30235.3.236.221 to 235.3.236.222235.3.236.2232
57235.3.236.224/30235.3.236.225 to 235.3.236.226235.3.236.2272
58235.3.236.228/30235.3.236.229 to 235.3.236.230235.3.236.2312
59235.3.236.232/30235.3.236.233 to 235.3.236.234235.3.236.2352
60235.3.236.236/30235.3.236.237 to 235.3.236.238235.3.236.2392
61235.3.236.240/30235.3.236.241 to 235.3.236.242235.3.236.2432
62235.3.236.244/30235.3.236.245 to 235.3.236.246235.3.236.2472
63235.3.236.248/30235.3.236.249 to 235.3.236.250235.3.236.2512
64235.3.236.252/30235.3.236.253 to 235.3.236.254235.3.236.2552
65235.3.237.0/30235.3.237.1 to 235.3.237.2235.3.237.32
66235.3.237.4/30235.3.237.5 to 235.3.237.6235.3.237.72
67235.3.237.8/30235.3.237.9 to 235.3.237.10235.3.237.112
68235.3.237.12/30235.3.237.13 to 235.3.237.14235.3.237.152
69235.3.237.16/30235.3.237.17 to 235.3.237.18235.3.237.192
70235.3.237.20/30235.3.237.21 to 235.3.237.22235.3.237.232
71235.3.237.24/30235.3.237.25 to 235.3.237.26235.3.237.272
72235.3.237.28/30235.3.237.29 to 235.3.237.30235.3.237.312
73235.3.237.32/30235.3.237.33 to 235.3.237.34235.3.237.352
74235.3.237.36/30235.3.237.37 to 235.3.237.38235.3.237.392
75235.3.237.40/30235.3.237.41 to 235.3.237.42235.3.237.432
76235.3.237.44/30235.3.237.45 to 235.3.237.46235.3.237.472
77235.3.237.48/30235.3.237.49 to 235.3.237.50235.3.237.512
78235.3.237.52/30235.3.237.53 to 235.3.237.54235.3.237.552
79235.3.237.56/30235.3.237.57 to 235.3.237.58235.3.237.592
80235.3.237.60/30235.3.237.61 to 235.3.237.62235.3.237.632
81235.3.237.64/30235.3.237.65 to 235.3.237.66235.3.237.672
82235.3.237.68/30235.3.237.69 to 235.3.237.70235.3.237.712
83235.3.237.72/30235.3.237.73 to 235.3.237.74235.3.237.752
84235.3.237.76/30235.3.237.77 to 235.3.237.78235.3.237.792
85235.3.237.80/30235.3.237.81 to 235.3.237.82235.3.237.832
86235.3.237.84/30235.3.237.85 to 235.3.237.86235.3.237.872
87235.3.237.88/30235.3.237.89 to 235.3.237.90235.3.237.912
88235.3.237.92/30235.3.237.93 to 235.3.237.94235.3.237.952
89235.3.237.96/30235.3.237.97 to 235.3.237.98235.3.237.992
90235.3.237.100/30235.3.237.101 to 235.3.237.102235.3.237.1032
91235.3.237.104/30235.3.237.105 to 235.3.237.106235.3.237.1072
92235.3.237.108/30235.3.237.109 to 235.3.237.110235.3.237.1112
93235.3.237.112/30235.3.237.113 to 235.3.237.114235.3.237.1152
94235.3.237.116/30235.3.237.117 to 235.3.237.118235.3.237.1192
95235.3.237.120/30235.3.237.121 to 235.3.237.122235.3.237.1232
96235.3.237.124/30235.3.237.125 to 235.3.237.126235.3.237.1272
97235.3.237.128/30235.3.237.129 to 235.3.237.130235.3.237.1312
98235.3.237.132/30235.3.237.133 to 235.3.237.134235.3.237.1352
99235.3.237.136/30235.3.237.137 to 235.3.237.138235.3.237.1392
100235.3.237.140/30235.3.237.141 to 235.3.237.142235.3.237.1432
101235.3.237.144/30235.3.237.145 to 235.3.237.146235.3.237.1472
102235.3.237.148/30235.3.237.149 to 235.3.237.150235.3.237.1512
103235.3.237.152/30235.3.237.153 to 235.3.237.154235.3.237.1552
104235.3.237.156/30235.3.237.157 to 235.3.237.158235.3.237.1592
105235.3.237.160/30235.3.237.161 to 235.3.237.162235.3.237.1632
106235.3.237.164/30235.3.237.165 to 235.3.237.166235.3.237.1672
107235.3.237.168/30235.3.237.169 to 235.3.237.170235.3.237.1712
108235.3.237.172/30235.3.237.173 to 235.3.237.174235.3.237.1752
109235.3.237.176/30235.3.237.177 to 235.3.237.178235.3.237.1792
110235.3.237.180/30235.3.237.181 to 235.3.237.182235.3.237.1832
111235.3.237.184/30235.3.237.185 to 235.3.237.186235.3.237.1872
112235.3.237.188/30235.3.237.189 to 235.3.237.190235.3.237.1912
113235.3.237.192/30235.3.237.193 to 235.3.237.194235.3.237.1952
114235.3.237.196/30235.3.237.197 to 235.3.237.198235.3.237.1992
115235.3.237.200/30235.3.237.201 to 235.3.237.202235.3.237.2032
116235.3.237.204/30235.3.237.205 to 235.3.237.206235.3.237.2072
117235.3.237.208/30235.3.237.209 to 235.3.237.210235.3.237.2112
118235.3.237.212/30235.3.237.213 to 235.3.237.214235.3.237.2152
119235.3.237.216/30235.3.237.217 to 235.3.237.218235.3.237.2192
120235.3.237.220/30235.3.237.221 to 235.3.237.222235.3.237.2232
121235.3.237.224/30235.3.237.225 to 235.3.237.226235.3.237.2272
122235.3.237.228/30235.3.237.229 to 235.3.237.230235.3.237.2312
123235.3.237.232/30235.3.237.233 to 235.3.237.234235.3.237.2352
124235.3.237.236/30235.3.237.237 to 235.3.237.238235.3.237.2392
125235.3.237.240/30235.3.237.241 to 235.3.237.242235.3.237.2432
126235.3.237.244/30235.3.237.245 to 235.3.237.246235.3.237.2472
127235.3.237.248/30235.3.237.249 to 235.3.237.250235.3.237.2512
128235.3.237.252/30235.3.237.253 to 235.3.237.254235.3.237.2552
129235.3.238.0/30235.3.238.1 to 235.3.238.2235.3.238.32
130235.3.238.4/30235.3.238.5 to 235.3.238.6235.3.238.72
131235.3.238.8/30235.3.238.9 to 235.3.238.10235.3.238.112
132235.3.238.12/30235.3.238.13 to 235.3.238.14235.3.238.152
133235.3.238.16/30235.3.238.17 to 235.3.238.18235.3.238.192
134235.3.238.20/30235.3.238.21 to 235.3.238.22235.3.238.232
135235.3.238.24/30235.3.238.25 to 235.3.238.26235.3.238.272
136235.3.238.28/30235.3.238.29 to 235.3.238.30235.3.238.312
137235.3.238.32/30235.3.238.33 to 235.3.238.34235.3.238.352
138235.3.238.36/30235.3.238.37 to 235.3.238.38235.3.238.392
139235.3.238.40/30235.3.238.41 to 235.3.238.42235.3.238.432
140235.3.238.44/30235.3.238.45 to 235.3.238.46235.3.238.472
141235.3.238.48/30235.3.238.49 to 235.3.238.50235.3.238.512
142235.3.238.52/30235.3.238.53 to 235.3.238.54235.3.238.552
143235.3.238.56/30235.3.238.57 to 235.3.238.58235.3.238.592
144235.3.238.60/30235.3.238.61 to 235.3.238.62235.3.238.632
145235.3.238.64/30235.3.238.65 to 235.3.238.66235.3.238.672
146235.3.238.68/30235.3.238.69 to 235.3.238.70235.3.238.712
147235.3.238.72/30235.3.238.73 to 235.3.238.74235.3.238.752
148235.3.238.76/30235.3.238.77 to 235.3.238.78235.3.238.792
149235.3.238.80/30235.3.238.81 to 235.3.238.82235.3.238.832
150235.3.238.84/30235.3.238.85 to 235.3.238.86235.3.238.872
151235.3.238.88/30235.3.238.89 to 235.3.238.90235.3.238.912
152235.3.238.92/30235.3.238.93 to 235.3.238.94235.3.238.952
153235.3.238.96/30235.3.238.97 to 235.3.238.98235.3.238.992
154235.3.238.100/30235.3.238.101 to 235.3.238.102235.3.238.1032
155235.3.238.104/30235.3.238.105 to 235.3.238.106235.3.238.1072
156235.3.238.108/30235.3.238.109 to 235.3.238.110235.3.238.1112
157235.3.238.112/30235.3.238.113 to 235.3.238.114235.3.238.1152
158235.3.238.116/30235.3.238.117 to 235.3.238.118235.3.238.1192
159235.3.238.120/30235.3.238.121 to 235.3.238.122235.3.238.1232
160235.3.238.124/30235.3.238.125 to 235.3.238.126235.3.238.1272
161235.3.238.128/30235.3.238.129 to 235.3.238.130235.3.238.1312
162235.3.238.132/30235.3.238.133 to 235.3.238.134235.3.238.1352
163235.3.238.136/30235.3.238.137 to 235.3.238.138235.3.238.1392
164235.3.238.140/30235.3.238.141 to 235.3.238.142235.3.238.1432
165235.3.238.144/30235.3.238.145 to 235.3.238.146235.3.238.1472
166235.3.238.148/30235.3.238.149 to 235.3.238.150235.3.238.1512
167235.3.238.152/30235.3.238.153 to 235.3.238.154235.3.238.1552
168235.3.238.156/30235.3.238.157 to 235.3.238.158235.3.238.1592
169235.3.238.160/30235.3.238.161 to 235.3.238.162235.3.238.1632
170235.3.238.164/30235.3.238.165 to 235.3.238.166235.3.238.1672
171235.3.238.168/30235.3.238.169 to 235.3.238.170235.3.238.1712
172235.3.238.172/30235.3.238.173 to 235.3.238.174235.3.238.1752
173235.3.238.176/30235.3.238.177 to 235.3.238.178235.3.238.1792
174235.3.238.180/30235.3.238.181 to 235.3.238.182235.3.238.1832
175235.3.238.184/30235.3.238.185 to 235.3.238.186235.3.238.1872
176235.3.238.188/30235.3.238.189 to 235.3.238.190235.3.238.1912
177235.3.238.192/30235.3.238.193 to 235.3.238.194235.3.238.1952
178235.3.238.196/30235.3.238.197 to 235.3.238.198235.3.238.1992
179235.3.238.200/30235.3.238.201 to 235.3.238.202235.3.238.2032
180235.3.238.204/30235.3.238.205 to 235.3.238.206235.3.238.2072
181235.3.238.208/30235.3.238.209 to 235.3.238.210235.3.238.2112
182235.3.238.212/30235.3.238.213 to 235.3.238.214235.3.238.2152
183235.3.238.216/30235.3.238.217 to 235.3.238.218235.3.238.2192
184235.3.238.220/30235.3.238.221 to 235.3.238.222235.3.238.2232
185235.3.238.224/30235.3.238.225 to 235.3.238.226235.3.238.2272
186235.3.238.228/30235.3.238.229 to 235.3.238.230235.3.238.2312
187235.3.238.232/30235.3.238.233 to 235.3.238.234235.3.238.2352
188235.3.238.236/30235.3.238.237 to 235.3.238.238235.3.238.2392
189235.3.238.240/30235.3.238.241 to 235.3.238.242235.3.238.2432
190235.3.238.244/30235.3.238.245 to 235.3.238.246235.3.238.2472
191235.3.238.248/30235.3.238.249 to 235.3.238.250235.3.238.2512
192235.3.238.252/30235.3.238.253 to 235.3.238.254235.3.238.2552
193235.3.239.0/30235.3.239.1 to 235.3.239.2235.3.239.32
194235.3.239.4/30235.3.239.5 to 235.3.239.6235.3.239.72
195235.3.239.8/30235.3.239.9 to 235.3.239.10235.3.239.112
196235.3.239.12/30235.3.239.13 to 235.3.239.14235.3.239.152
197235.3.239.16/30235.3.239.17 to 235.3.239.18235.3.239.192
198235.3.239.20/30235.3.239.21 to 235.3.239.22235.3.239.232
199235.3.239.24/30235.3.239.25 to 235.3.239.26235.3.239.272
200235.3.239.28/30235.3.239.29 to 235.3.239.30235.3.239.312
201235.3.239.32/30235.3.239.33 to 235.3.239.34235.3.239.352
202235.3.239.36/30235.3.239.37 to 235.3.239.38235.3.239.392
203235.3.239.40/30235.3.239.41 to 235.3.239.42235.3.239.432
204235.3.239.44/30235.3.239.45 to 235.3.239.46235.3.239.472
205235.3.239.48/30235.3.239.49 to 235.3.239.50235.3.239.512
206235.3.239.52/30235.3.239.53 to 235.3.239.54235.3.239.552
207235.3.239.56/30235.3.239.57 to 235.3.239.58235.3.239.592
208235.3.239.60/30235.3.239.61 to 235.3.239.62235.3.239.632
209235.3.239.64/30235.3.239.65 to 235.3.239.66235.3.239.672
210235.3.239.68/30235.3.239.69 to 235.3.239.70235.3.239.712
211235.3.239.72/30235.3.239.73 to 235.3.239.74235.3.239.752
212235.3.239.76/30235.3.239.77 to 235.3.239.78235.3.239.792
213235.3.239.80/30235.3.239.81 to 235.3.239.82235.3.239.832
214235.3.239.84/30235.3.239.85 to 235.3.239.86235.3.239.872
215235.3.239.88/30235.3.239.89 to 235.3.239.90235.3.239.912
216235.3.239.92/30235.3.239.93 to 235.3.239.94235.3.239.952
217235.3.239.96/30235.3.239.97 to 235.3.239.98235.3.239.992
218235.3.239.100/30235.3.239.101 to 235.3.239.102235.3.239.1032
219235.3.239.104/30235.3.239.105 to 235.3.239.106235.3.239.1072
220235.3.239.108/30235.3.239.109 to 235.3.239.110235.3.239.1112
221235.3.239.112/30235.3.239.113 to 235.3.239.114235.3.239.1152
222235.3.239.116/30235.3.239.117 to 235.3.239.118235.3.239.1192
223235.3.239.120/30235.3.239.121 to 235.3.239.122235.3.239.1232
224235.3.239.124/30235.3.239.125 to 235.3.239.126235.3.239.1272
225235.3.239.128/30235.3.239.129 to 235.3.239.130235.3.239.1312
226235.3.239.132/30235.3.239.133 to 235.3.239.134235.3.239.1352
227235.3.239.136/30235.3.239.137 to 235.3.239.138235.3.239.1392
228235.3.239.140/30235.3.239.141 to 235.3.239.142235.3.239.1432
229235.3.239.144/30235.3.239.145 to 235.3.239.146235.3.239.1472
230235.3.239.148/30235.3.239.149 to 235.3.239.150235.3.239.1512
231235.3.239.152/30235.3.239.153 to 235.3.239.154235.3.239.1552
232235.3.239.156/30235.3.239.157 to 235.3.239.158235.3.239.1592
233235.3.239.160/30235.3.239.161 to 235.3.239.162235.3.239.1632
234235.3.239.164/30235.3.239.165 to 235.3.239.166235.3.239.1672
235235.3.239.168/30235.3.239.169 to 235.3.239.170235.3.239.1712
236235.3.239.172/30235.3.239.173 to 235.3.239.174235.3.239.1752
237235.3.239.176/30235.3.239.177 to 235.3.239.178235.3.239.1792
238235.3.239.180/30235.3.239.181 to 235.3.239.182235.3.239.1832
239235.3.239.184/30235.3.239.185 to 235.3.239.186235.3.239.1872
240235.3.239.188/30235.3.239.189 to 235.3.239.190235.3.239.1912
241235.3.239.192/30235.3.239.193 to 235.3.239.194235.3.239.1952
242235.3.239.196/30235.3.239.197 to 235.3.239.198235.3.239.1992
243235.3.239.200/30235.3.239.201 to 235.3.239.202235.3.239.2032
244235.3.239.204/30235.3.239.205 to 235.3.239.206235.3.239.2072
245235.3.239.208/30235.3.239.209 to 235.3.239.210235.3.239.2112
246235.3.239.212/30235.3.239.213 to 235.3.239.214235.3.239.2152
247235.3.239.216/30235.3.239.217 to 235.3.239.218235.3.239.2192
248235.3.239.220/30235.3.239.221 to 235.3.239.222235.3.239.2232
249235.3.239.224/30235.3.239.225 to 235.3.239.226235.3.239.2272
250235.3.239.228/30235.3.239.229 to 235.3.239.230235.3.239.2312
251235.3.239.232/30235.3.239.233 to 235.3.239.234235.3.239.2352
252235.3.239.236/30235.3.239.237 to 235.3.239.238235.3.239.2392
253235.3.239.240/30235.3.239.241 to 235.3.239.242235.3.239.2432
254235.3.239.244/30235.3.239.245 to 235.3.239.246235.3.239.2472
255235.3.239.248/30235.3.239.249 to 235.3.239.250235.3.239.2512
256235.3.239.252/30235.3.239.253 to 235.3.239.254235.3.239.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses